/*
MathGraph32 Java. Software for creating and animating dynamic mathematics figures
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package actions;
import java.awt.Toolkit;
import java.awt.datatransfer.StringSelection;
import java.awt.event.ActionEvent;

import mathgraph32.MtgFrame;

@SuppressWarnings("serial")
public class ActionEditionCopierCode extends MtgAction {
	public ActionEditionCopierCode(MtgFrame frameInit) {
		super(frameInit, null, getString("menuEditionCopierCode"), getString("menuEditionCopierCode"), null, null, false);
	}
	/*  Modification version 5.3 : Cet outil devient toujours disponible pour pouvoir  crer des exercices de construction
  public int idMenu() {
    return 57635;
  }
  */
	public void actionPerformed(ActionEvent e) {
    Toolkit.getDefaultToolkit().getSystemClipboard().setContents(new StringSelection(frame.cadreActif().getXML()), null);
	}
}
