/*
MathGraph32 Java. Software for creating and animating dynamic mathematics figures
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package types;

import mathgraph32.MtgFrame;

public class OperateurFonction2Var {

  /** Creates new Class */
  public OperateurFonction2Var() {
  }
  public static final int nombreFonctionsReelles2Var = 7;
  
  public static final byte maxi = 0;
  public static final byte mini = 1;
  public static final byte gcd = 2;
  public static final byte lcm = 3;
  public static final byte ncr = 4;
  public static final byte npr = 5;
  public static final byte mod = 6;
  
  public static final int nombreFonctionsComplexes2Var = 7;  
  // On garde de la marge pour de futures fonctions relles
  public static final int indicePremiereFonctionComplexe = 64;
  // Dbut des fonctions complexes
  public static final byte maxiC = 64;
  public static final byte miniC = 65;
  public static final byte gcdC = 66;
  public static final byte lcmC = 67;
  public static final byte ncrC = 68;
  public static final byte nprC = 69;
  public static final byte modC = 70;
    
  public static final String nomsFonctions2Var[] =
	{
  	getString("maxi"),
  	getString("mini"),
  	getString("gcd"),
  	getString("lcm"),
  	getString("ncr"),
  	getString("npr"),
  	getString("mod")
	};
  
  public static final String nomsFonctionsComplexes2Var[] =
	{
  	getString("maxi"),
  	getString("mini"),
  	getString("gcd"),
  	getString("lcm"),
  	getString("ncr"),
  	getString("npr"),
  	getString("mod")
	};
  
  public static final String syntaxeNomsFonctions2Var[] =
	{
  	getString("infomaxi"),
  	getString("infomini"),
  	getString("infogcd"),
  	getString("infolcm"),
  	getString("infoncr"),
  	getString("infonpr"),
  	getString("infomod")
	};
  
  public static final String syntaxeNomsFonctionsComplexes2Var[] =
	{
  	getString("infomaxi"),
  	getString("infomini"),
  	getString("infogcd"),
  	getString("infolcm"),
  	getString("infoncr"),
  	getString("infonpr"),
  	getString("infomod")
	};   
	
  public static final String getString(String key) {
  	return MtgFrame.getString(key);
  }

}
